Subject: Re: bug#20703: 24.4; Stack overflow in regexp matcher

From: Stefan Monnier <[email-masked]>
Date: Tue, 02 Jun 2015 20:46:08 -0400

>> Could you give us an idea of how you get such a large TAGS file?
> I'm not doing anything special I'd be aware of, only C-p R to (re)build
> the TAGS file.

`C-p' is bound to `previous-line' by default, so "C-p R to (re)build
the TAGS file" does not ring a bell.  Can you give us more details about
what this `C-p R' does (e.g. which command does it run)?

>> Emacs's Lisp directory weights in at around 60MB, and its TAGS file is
>> about 3MB, so assuming a similar ratio, your 1.8GB file seems to imply
>> that the indexed code of your project is more than 30GB in size, which
>> seems rather unusual.
> It isn't --- the code is available here: https://github.com/Ratany/SingularityViewer

So maybe there's a problem in the way the TAGS file was built.

        Stefan